---
wsId: nunchuk
title: Nunchuk Bitcoin Wallet
altTitle: 
authors:
- leo
- emanuel
users: 1000
appId: io.nunchuk.android
appCountry: 
released: 2021-11-11
updated: 2022-04-05
version: 1.9.14
stars: 4.8
ratings: 26
reviews: 10
size: 20M
website: https://nunchuk.io
repository: 
issue: https://github.com/nunchuk-io/nunchuk-mobile-issues/issues/5
icon: io.nunchuk.android.jpg
bugbounty: 
meta: ok
verdict: nosource
date: 2021-12-15
signer: 
reviewArchive: 
twitter: 
social:
- https://nunchuk.medium.com/
- >-
  https://join.slack.com/t/nunchukio/shared_invite/zt-xqdlvl5g-xKKohQu_R7IUo7_np8rVaw
redirect_from: 

---

On their description we read:

> Compared with normal Bitcoin wallets, Nunchuk’s multi-user multisig wallet gives you two extra levels of protection. First, the use of multisig technology means that losing any one key will not compromise your bitcoin. Second, our multi-user features allow you to co-manage your bitcoin with your trusted ones, effectively reducing the burden of key management.

and

> FULL DATA CONTROL
> 
> All data is stored on your local devices. With the provided backup, your wallet could be safely recovered anytime, anywhere. You have complete control over your keys, your funds, your data.
> 
> HARDWARE KEY COMPATIBILITY
> 
> Nunchuk supports all major hardware keys, including but not limited to: Trezor, COLDCARD, Keystone, Ledger, and BitBox02.

so this is a self-custodial Bitcoin wallet supporting multi-signature and it
also functions as companion app for all major hardware wallets (or hardware
keys as they quite rightfully call them).

Sadly they do have a "code" repository for mobile but use it only for its
[issue tracker](https://github.com/nunchuk-io/nunchuk-mobile-issues/issues/5).
Without actual source code, this app is **not verifiable**.